wayland::server::global_base_t(3)

NAME
wayland::server::global_base_t

SYNOPSIS

#include <wayland-server.hpp>

Inherited by wayland::server::global_t< resource >.

  Public Member Functions

template<typename resource > bool has_interface ()

Detailed Description

Global object base class

Definition at line 580 of file wayland-server.hpp.

Member Function Documentation

  template<typename resource > bool wayland::server::global_base_t::has_interface () [inline]
Check for specific interface.

Template Parameters
    resource Resource class for comparison

Returns
    true if the global has the same interface as the resource class

Definition at line 614 of file wayland-server.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.